package com.unis.detectionnum.common.vo;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value="报警记录查询VO",description="报警记录查询VO")
public class DeviceAlarmQueryVO {

	/**
	 * 直属库名称
	 */
	@ApiModelProperty(value="直属库名称")
	private String zskmc;
	
	/**
	 * 库点名称
	 */
	@ApiModelProperty(value="库点名称")
	private String kdmc;
	
	/**
	 * 库点代码
	 */
	@ApiModelProperty(value="库点代码")
	private String kddm;

	/**
	 * 仓房名称
	 */
	@ApiModelProperty(value="仓房名称")
	private String cfmc;

	/**
	 * 用户code
	 */
	@ApiModelProperty(value="用户code")
	private String userCode;

	/**
	 * 开始时间
	 */
	@ApiModelProperty(value="开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date startTime;
	
	/**
	 * 结束时间
	 */
	@ApiModelProperty(value="结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date endTime;

    /**
     * 报警类型
     */
    @ApiModelProperty(value="报警类型")
    private Integer type;

	public String getZskmc() {
		return zskmc;
	}

	public void setZskmc(String zskmc) {
		this.zskmc = zskmc;
	}

	public String getKdmc() {
		return kdmc;
	}

	public void setKdmc(String kdmc) {
		this.kdmc = kdmc;
	}

	public String getKddm() {
		return kddm;
	}

	public void setKddm(String kddm) {
		this.kddm = kddm;
	}

	public String getCfmc() {
		return cfmc;
	}

	public void setCfmc(String cfmc) {
		this.cfmc = cfmc;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getuserCode() {
		return userCode;
	}

	public void setuserCode(String userCode) {
		this.userCode = userCode;
	}
}